/*
 * SoftwareModificationReportPK.java     Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on October 1, 2003, 6:02 PM
 */

package com.hbaastrup.AutoReportGenerator.dataLayer;

public class SoftwareModificationReportPK
{
    protected int projectId = 0;
    protected int smrNo = 0;
    
    public SoftwareModificationReportPK(int aProjectId, int aSmrNo)
    {
        projectId = aProjectId;
        smrNo = aSmrNo;
    }//SoftwareModificationReportPK
    
    public int hashCode()
    {
        String hashStr = Integer.toString(projectId)+"-"+Integer.toString(smrNo);
        return hashStr.hashCode();
    }//hashCode
    
    public boolean equals(Object ob)
    {
        if (ob==this) return true;
        if (!(ob instanceof SoftwareProblemReportPK)) return false;

        SoftwareModificationReportPK other = (SoftwareModificationReportPK)ob;
        if (projectId!=other.projectId) return false;
        if (smrNo!=other.smrNo) return false;
        return true;
    }//equals
}//SoftwareModificationReportPK
