/*
 * JAASLoginModule.java
 *
 * Created on December 19, 2003, 1:08 PM
 */

package com.hbaastrup.AutoReportGenerator.realm;
import java.util.*;
import javax.security.auth.spi.LoginModule;
import javax.security.auth.Subject;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.Callback;
import javax.security.auth.callback.NameCallback;
import javax.security.auth.callback.PasswordCallback;
import javax.security.auth.callback.TextInputCallback;

public class JAASLoginModule implements LoginModule
{
    Subject subject = null;
    CallbackHandler callbackHandler = null;
    
    public JAASLoginModule() {
System.out.println("JAASLoginModule");
    }
    
    public boolean abort() throws javax.security.auth.login.LoginException
    {
System.out.println("JAASLoginModule.abort");
        return true;
    }
    
    public boolean commit() throws javax.security.auth.login.LoginException
    {
System.out.println("JAASLoginModule.commit");
        return true;
    }
    
    public void initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)
    {
System.out.println("JAASLoginModule.initialize("+subject.toString()+", callbackHandler)");
System.out.println("  sharedState:");
        Collection coll = sharedState.values();
        Iterator iter  = coll.iterator();
        while (iter.hasNext()) {
System.out.println("    "+iter.next().toString());
        }
System.out.println("  options:");
        coll = options.values();
        iter  = coll.iterator();
        while (iter.hasNext()) {
System.out.println("    "+iter.next().toString());
        }

        this.subject = subject;
        this.callbackHandler = callbackHandler;
    }
    
    public boolean login() throws javax.security.auth.login.LoginException
    {
System.out.println("JAASLoginModule.login");
        Callback[] callback = new Callback[3];
        if (callbackHandler==null) return false;
        NameCallback nameCallback = new NameCallback("Username:");
        PasswordCallback passwordCallback = new PasswordCallback("Password:",false);
        TextInputCallback textInputCallback = new TextInputCallback("Project is:");
        callback[0] = nameCallback;
        callback[1] = passwordCallback;
        callback[2] = textInputCallback;
        try {
            callbackHandler.handle(callback);
        } catch (Exception ex) {
            ex.printStackTrace();
            return false;
        }
System.out.println("login.name="+nameCallback.getName()+"  login.password="+String.copyValueOf(passwordCallback.getPassword()));
        
        return true;
    }
    
    public boolean logout() throws javax.security.auth.login.LoginException
    {
System.out.println("JAASLoginModule.logout");
        return true;
    }
    
}//JAASLoginModule
