/*
 * Invoker.java      Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on January 13, 2004, 10:11 AM
 */

package com.hbaastrup.AutoReportGenerator.servlets;
import javax.servlet.http.*;
import com.hbaastrup.AutoReportGenerator.realm.*;

public class Invoker extends HttpServlet
{
    
    public Invoker() {
    }//Invoker
    
    protected void  service(HttpServletRequest request, HttpServletResponse response) throws javax.servlet.ServletException
    {
        HttpSession session = request.getSession(false);
        String servletPath = request.getServletPath();
        SessionBinder sessionBinder = null;
        java.io.PrintWriter out;
        
        try {
            if(session==null) {
System.out.println("Invoker: session = null");
                request.getRequestDispatcher("/Login").forward(request, response);
                return;
            }
            else {
                if ((sessionBinder=(SessionBinder)session.getAttribute("sessionBinder"))==null) {
System.out.println("Invoker: sessionBinder = null");
                    request.getRequestDispatcher("/Login").forward(request, response);
                    return;
                }
            }
System.out.println("Invoker: servletPath = "+servletPath);
            
            if (servletPath.equals("/Invoker")) {
                response.setContentType("text/html");
                out = response.getWriter();
                out.println("<html><head></head><body><h1>Invorker Servlet</h1>");
                out.println("</body></html>");
            }
            else if (servletPath.equals("/SPR")) {
                request.getRequestDispatcher("/ReportGenerator").forward(request, response);
            }
            else if (servletPath.equals("/SCR")) {
                request.getRequestDispatcher("/ReportGenerator").forward(request, response);
            }
            else if (servletPath.equals("/SMR")) {
                request.getRequestDispatcher("/ReportGenerator").forward(request, response);
            }
            else if (servletPath.equals("/Admin")) {
                request.getRequestDispatcher("/Administration").forward(request, response);
            }
            else if (servletPath.equals("/RepAssign")) {
                request.getRequestDispatcher("/ReportAssigner").forward(request, response);
            }
            else if (servletPath.equals("/FileAttachment")) {
                request.getRequestDispatcher("/Attachment").forward(request, response);
            }
            else if (servletPath.equals("/SendMail")) {
                request.getRequestDispatcher("/Mailer").forward(request, response);
            }
            else {
                request.setAttribute("errorInfo", "ERROR: Servlet is no present");
                request.getRequestDispatcher("jsp/blank.jsp").forward(request, response);
            }

        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }//service
    
}//Invoker
