/*
 * Logout.java   Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on January 13, 2004, 1:22 PM
 */

package com.hbaastrup.AutoReportGenerator.servlets;
import java.util.*;
import javax.servlet.http.*;
import com.hbaastrup.AutoReportGenerator.realm.*;

public class Logout extends HttpServlet
{
    
    /** Creates a new instance of Logout */
    public Logout() {
    }
    
    protected void  service(HttpServletRequest request, HttpServletResponse response) throws javax.servlet.ServletException
    {
        HttpSession session = request.getSession(false);
        
        if (session!=null) {
            session.invalidate();
        }
        try {
            request.getRequestDispatcher("/jsp/login.jsp").forward(request, response);
        } catch (javax.servlet.ServletException ex) {
            throw ex;
        } catch (java.io.IOException ex) {
            throw new javax.servlet.ServletException(ex);
        }
    }//service
}
