/*
 * MiniXMLException.java
 *
 * Created on July 1, 2003, 6:04 PM
 */

package com.hbaastrup.MiniXML;

/**
 *
 * @author  hbaastrup
 */
import java.io.*;

public class MiniXMLException extends Exception
{
    String exceptionStr = null;
    Exception exception = null;

    public MiniXMLException()
    {
    }
    
    public MiniXMLException(String s)
    {
        exceptionStr = s;
    }
    
    public MiniXMLException(String s, Exception ex)
    {
        exceptionStr = s;
        exception = ex;
    }
    
    public Throwable fillInStackTrace()
    {
        return super.fillInStackTrace();
    }

    public Exception getException()
    {
        return exception;
    }
    
    public String getMessage()
    {
        if (exceptionStr!=null && !"".equals(exceptionStr)) return exceptionStr;
        else if (exception!=null) return exception.getMessage();
        return "";
    }

    public String getLocalizedMessage()
    {
        if (exceptionStr!=null) return exceptionStr;
        return "";
    }
    
    public void printStackTrace()
    {
        if (exceptionStr!=null) System.out.println(exceptionStr);
        super.printStackTrace();
    }
    
    public void printStackTrace(PrintStream s)
    {
        if (exceptionStr!=null) s.println(exceptionStr);
        super.printStackTrace(s);
    }
    
    public void printStackTrace(PrintWriter s)
    {
        if (exceptionStr!=null) s.println(exceptionStr);
        super.printStackTrace(s);
    }
    
    public String toString()
    {
        if (exceptionStr!=null && !"".equals(exceptionStr)) return exceptionStr;
        else if (exception!=null) return exception.toString();
        return "";
    }
}
