/*
 * TestXMLReaderHandler.java
 *
 * Created on July 1, 2003, 6:29 PM
 */

package com.hbaastrup.MiniXML;

/**
 *
 * @author  hbaastrup
 */
import java.util.*;

public class TestXMLReaderHandler extends DefaultXMLReaderHandler
{
    StringBuffer bodyContentBuffer = null;
    
    public TestXMLReaderHandler() {
    }
    
    public void startElement(String tagName, Hashtable attrs)
    {
        System.out.println("Start Element <"+tagName+">");
        Enumeration keys = attrs.keys();
        Enumeration elems = attrs.elements();
        while (keys.hasMoreElements()) {
            String key = (String)keys.nextElement();
            String elem = (String)elems.nextElement();
            System.out.println("  Attribute: "+key+"="+elem);
        }
        
        
    }//startElement

    public void endElement(String tagName)
    {
        if (bodyContentBuffer!=null) System.out.println("  Body Content: "+bodyContentBuffer.toString().trim());
        System.out.println("End Element </"+tagName+">");
        bodyContentBuffer = null;
    }//endElement
    
    public void characters(char buf[], int offset, int len)
    {
        if (bodyContentBuffer == null) bodyContentBuffer = new StringBuffer();
        bodyContentBuffer.append(buf, offset, len);
    }//characters
}
