/*
 * IndexServlet.java        uther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on October 2, 2003, 5:08 PM
 */

package com.hbaastrup.AutoReportGenerator;
import java.io.IOException;
import java.sql.SQLException;
import java.util.Vector;
import java.text.SimpleDateFormat;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.hbaastrup.AutoReportGenerator.dataLayer.Projects;

public class IndexServlet  extends HttpServlet
{
    
    public IndexServlet() {
    }//IndexServlet
    
    protected void doIt(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        Projects projects = new Projects();
        Vector projectsVector  = null;
        String action = null;
        String nextPage = "/jsp/index.jsp";
        String str;
        
        action = request.getParameter("action");
        
        if (action!=null && action.equals("Ok")) {
            HttpSession session = request.getSession();
            Integer projectId;
            
            if ((str=request.getParameter("project"))!=null) projectId = new Integer(str);
            else projectId = new Integer(0);
            
            session.setAttribute("projectId", projectId);
            
            nextPage = "/jsp/main.jsp";
        }
        else {
            try {
                projectsVector = new Vector(projects.findAll());
            } catch (Exception ex) {
                ex.printStackTrace();
            }
            request.setAttribute("projects", projectsVector);
        }
        request.getRequestDispatcher(nextPage).forward(request, response);
    }//doIt

    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        doIt(request, response);
    }//doGet
    
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        doIt(request, response);
    }//doPost

}
