/*
 * Filename ProblemReportMailer.java   Auther: Henrik Baastrup (c) 2001
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 */
package com.hbaastrup.AutoReportGenerator;


public class Log
{
    private static Log mySelfInstance = null;
    private static javax.servlet.ServletContext context  = null; 
    
    private Log(javax.servlet.ServletContext ctx)
    {
        context = ctx;
        mySelfInstance = this;
    }//Log
    
    public static synchronized Log getInstance(javax.servlet.ServletContext ctx)
    {
        if (mySelfInstance==null) mySelfInstance = new Log(ctx);
        return mySelfInstance;
    }//getInstance
    
    public static void log(java.lang.String msg)
    {
        if (context != null) context.log(msg);
        else System.out.println(msg);
    }
    
    public static void log(java.lang.String msg, java.lang.Throwable t)
    {
        if (context != null) context.log(msg, t);
        else {
            System.out.println(msg);
            t.printStackTrace();
        }
    }
    
}//Log
