/*
 * SequenceKeysPK.java        Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on January 13, 2004, 1:40 PM
 */

package com.hbaastrup.AutoReportGenerator.dataLayer;

public class SequenceKeysPK {
    protected int projectId = 0;
    protected String tableName = " ";
    
    public SequenceKeysPK(int aProjectId, String aTableName)
    {
        projectId = aProjectId;
        tableName = aTableName;
    }
    
    public int hashCode()
    {
        String hashStr = Integer.toString(projectId)+"-"+tableName;
        return hashStr.hashCode();
    }
    
    public boolean equals(Object ob)
    {
        if (ob==this) return true;
        if (!(ob instanceof SequenceKeysPK)) return false;
        
        SequenceKeysPK other = (SequenceKeysPK)ob;
        if (projectId!=other.projectId) return false;
        if (!tableName.equals(other.tableName)) return false;
        return true;
    }
    
}
