/*
 * SoftwareChangeRequestPK.java     Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on October 1, 2003, 6:02 PM
 */

package com.hbaastrup.AutoReportGenerator.dataLayer;

public class SoftwareChangeRequestPK
{
    protected int projectId = 0;
    protected int scrNo = 0;
    
    public SoftwareChangeRequestPK(int aProjectId, int aScrNo)
    {
        projectId = aProjectId;
        scrNo = aScrNo;
    }//SoftwareChangeRequestPK
    
    public int hashCode()
    {
        String hashStr = Integer.toString(projectId)+"-"+Integer.toString(scrNo);
        return hashStr.hashCode();
    }//hashCode
    
    public boolean equals(Object ob)
    {
        if (ob==this) return true;
        if (!(ob instanceof SoftwareProblemReportPK)) return false;

        SoftwareChangeRequestPK other = (SoftwareChangeRequestPK)ob;
        if (projectId!=other.projectId) return false;
        if (scrNo!=other.scrNo) return false;
        return true;
    }//equals
}//SoftwareChangeRequestPK
