/*
 * SoftwareProblemReportPK.java   Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on October 1, 2003, 5:08 PM
 */

package com.hbaastrup.AutoReportGenerator.dataLayer;

public class SoftwareProblemReportPK
{
    protected int projectId = 0;
    protected int sprNo = 0;
    
    public SoftwareProblemReportPK(int aProjectId, int aSprNo)
    {
        projectId = aProjectId;
        sprNo = aSprNo;
    }//SoftwareProblemReportPK
    
    public int hashCode()
    {
        String hashStr = Integer.toString(projectId)+"-"+Integer.toString(sprNo);
        return hashStr.hashCode();
    }//hashCode
    
    public boolean equals(Object ob)
    {
        if (ob==this) return true;
        if (!(ob instanceof SoftwareProblemReportPK)) return false;

        SoftwareProblemReportPK other = (SoftwareProblemReportPK)ob;
        if (projectId!=other.projectId) return false;
        if (sprNo!=other.sprNo) return false;
        return true;
    }//equals
}//SoftwareProblemReportPK
