/*
 * UsersPK.java   Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on October 1, 2003, 5:08 PM
 */

package com.hbaastrup.AutoReportGenerator.dataLayer;

public class UsersPK
{
    protected int projectId = 0;
    protected String userId = "";
    
    public UsersPK(int aProjectId, String aUserId)
    {
        projectId = aProjectId;
        userId = aUserId;
    }//SoftwareProblemReportPK
    
    public int hashCode()
    {
        String hashStr = Integer.toString(projectId)+"-"+userId;
        return hashStr.hashCode();
    }//hashCode
    
    public boolean equals(Object ob)
    {
        if (ob==this) return true;
        if (!(ob instanceof SoftwareProblemReportPK)) return false;

        UsersPK other = (UsersPK)ob;
        if (projectId!=other.projectId) return false;
        if (userId!=other.userId) return false;
        return true;
    }//equals
}//UsersPK
