/*
 * ReportAttributes.java     Auther: Henrik Baastrup (c) 2003
 *
 * This software is licensed under the GNU LGPL (Lesser general Public License):
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * Created on January 20, 2004, 7:40 PM
 */

package com.hbaastrup.AutoReportGenerator.utils;
import java.util.*;
import com.hbaastrup.AutoReportGenerator.servlets.ReportGenerator;

public class ReportAttributes {
    public int projectId = 0;
    public int repNo = 0;
    public int scrNo = 0;
    public int smrNo = 0;
    public int repType = ReportGenerator.SPR_REPORT_TYPE;
    public String date = "";
    public String originator = "";
    public int state = ReportGenerator.OPEN_STATE;
    public String title = "";
    public String swVersion = "";
    public int priority = ReportGenerator.ROUTINE_PRI;
    public String description = "";
    public String changeRequired = "";
    public String changeImplemented = "";
    public String environment = "";
    public String responsibleStaff = "";
    public String solution = "";
    public String decision = "";
    public String startDate = "";
    public String endDate = "";
    public String manpower = "";
    public Vector attachments = new Vector(0);
}
